Index: main/plugin-web/resources/js/org/ametys/web/tool/page/AddPageWizzard.i18n.js
===================================================================
--- main/plugin-web/resources/js/org/ametys/web/tool/page/AddPageWizzard.i18n.js	(revision 0)
+++ main/plugin-web/resources/js/org/ametys/web/tool/page/AddPageWizzard.i18n.js	(revision 0)
@@ -0,0 +1,1763 @@
+/*
+ *  Copyright 2014 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+Ext.namespace('org.ametys.web.tool.page.Add');
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+/* ******************************************* CREATION OF THE CARD PANEL ********************************************* */
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/**
+ * Add a new page
+ * 
+ * @param controlId
+ * @param configuration
+ * @param pluginName
+ */
+org.ametys.web.tool.page.Add.act = function(controlId, configuration, pluginName)
+{
+	var parentId = null;
+	var currentTargets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
+	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(currentTargets, function(target) { return target.getType() == 'page' || target.getType() == 'sitemap'});
+	
+	if (target != null)
+	{
+		parentId = target.getParameters().id;
+	}
+
+	org.ametys.web.tool.page.Add._controlId = controlId;
+	
+	org.ametys.web.tool.page.Add.internalAdd (parentId, null, pluginName);
+}
+
+/**
+ * Add a new page: no-control version (can be called from another dialog or
+ * tool).
+ * 
+ * @param parentId
+ *            the parent page or sitemap ID.
+ * @param callback
+ *            a callback function.
+ * @param pluginName
+ *            the plugin name (must be web).
+ */
+org.ametys.web.tool.page.Add.internalAdd = function(parentId, callback, pluginName)
+{
+    org.ametys.web.tool.page.Add.pluginName = pluginName || 'web';
+    org.ametys.web.tool.page.Add.callback = callback;
+    
+    if (!org.ametys.web.tool.page.Add.delayedInitialize())
+    {
+        return;
+    }
+    
+    // The selected page.
+    org.ametys.web.tool.page.Add._selectedPage = parentId;
+    
+    if (org.ametys.web.tool.page.Add._selectedPage == null)
+    {
+        new org.ametys.msg.ErrorDialog("<i18n:text i18n:key="PLUGINS_WEB_TOOL_PAGE_ACTIONS_ERRORTITLE"/>", "<i18n:text i18n:key="PLUGINS_WEB_TOOL_PAGE_ACTIONS_ERRORDESCRIPTION"/>", "org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets() returns no result of type 'page' or 'sitemap'.", "org.ametys.web.tool.page.Add");
+        throw "Wrong selection";
+    }
+    
+    org.ametys.web.tool.page.Add.box.show();
+    var f = Ext.getCmp("add-page-title");
+    f.setValue('<i18n:text i18n:key='PLUGINS_WEB_TOOL_PAGE_ACTIONS_NEWPAGE'/>');
+    f.focus(true);
+    
+    org.ametys.web.tool.page.Add._initialized = false;
+    org.ametys.web.helper.ChooseTag._values = null;
+    
+	org.ametys.web.tool.page.Add._pageId = null;
+	org.ametys.web.tool.page.Add._contentFilter = "CONTENT";
+	org.ametys.web.tool.page.Add._pageLang = null;
+	org.ametys.web.tool.page.Add._zoneName = null;
+    org.ametys.web.tool.page.Add._longTitleField.setValue('');
+    
+    org.ametys.web.tool.page.Add._serviceAndContentDisable = false;
+    org.ametys.web.tool.page.Add._multiSelectTemplate.store.removeAll();
+    org.ametys.web.tool.page.Add._panelTextExternalLink.items.get(2).setValue("http://");
+    org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.setValue("");
+    
+    org.ametys.web.tool.page.Add._multiSelectContent.store.removeAll();
+    org.ametys.web.tool.page.Add._multiSelectService.store.removeAll();
+  
+    org.ametys.web.tool.page.Add._wizard.getLayout().setActiveItem(0);
+    org.ametys.web.tool.page.Add._navHandler(0);
+    
+}
+
+org.ametys.web.tool.page.Add.delayedInitialize = function ()
+{
+	if (org.ametys.web.tool.page.Add.initialized)
+		return true;
+	
+	var items = [];
+	items.push(org.ametys.web.tool.page.Add._firstStep());
+	items.push(org.ametys.web.tool.page.Add._secondStep());
+	items.push(org.ametys.web.tool.page.Add._thirdStep());
+	items.push(org.ametys.web.tool.page.Add._fourthStep());
+	
+	org.ametys.web.tool.page.Add._wizard = new Ext.Panel ({
+		layout:'card',
+		cls: 'add-page-card-panel',
+		border: false,
+		height: 250,
+		
+		activeItem: 0, // index or id
+		items: items
+	});
+	
+	org.ametys.web.tool.page.Add.box = new org.ametys.DialogBox({
+		title :"<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_CAPTION"/>",
+		icon : getPluginResourcesUrl(org.ametys.web.tool.page.Add.pluginName) + "/img/actions/page_add_16.png",
+		
+		cls: 'add-page',
+		
+		width :530,
+		height: 315,
+		autoScroll: true,
+		
+		items : [ org.ametys.web.tool.page.Add._wizard ],
+		
+		defaultButton: 'add-page-title',
+		closeAction: 'hide',
+		buttons : [
+		    {
+	            text: '<i18n:text i18n:key='PLUGINS_WEB_TOOL_CREATEPAGE_ACTIONS_PREVIOUS'/>', 
+	            handler: org.ametys.web.tool.page.Add._navHandler.createDelegate(this, [-1]),
+			},
+			{
+	            text: '<i18n:text i18n:key='PLUGINS_WEB_TOOL_CREATEPAGE_ACTIONS_NEXT'/>',
+	            handler: org.ametys.web.tool.page.Add._navHandler.createDelegate(this, [1])
+	        },
+	        {
+				text :'<i18n:text i18n:key='PLUGINS_WEB_TOOL_PAGE_ACTIONS_END'/>',
+				handler : org.ametys.web.tool.page.Add._terminate
+			},
+			{
+				text :'<i18n:text i18n:key='PLUGINS_WEB_TOOL_PAGE_ACTIONS_OK'/>',
+				handler : org.ametys.web.tool.page.Add._advancedParamAction
+			},
+			{
+				text :'<i18n:text i18n:key='PLUGINS_WEB_TOOL_PAGE_ACTIONS_CANCEL'/>',
+				handler : org.ametys.web.tool.page.Add.cancel
+			}
+			]
+	});
+	
+	org.ametys.web.tool.page.Add.initialized = true;
+	
+	return true;
+}
+
+org.ametys.web.tool.page.Add._advancedParamAction = function ()
+{
+	if (org.ametys.web.tool.page.Add._panelInfoPage.items.get(5).getValue())
+	{
+		org.ametys.web.tool.page.Add._navHandler(1);
+	}
+	else
+	{
+		org.ametys.web.tool.page.Add._terminate();
+	}
+}
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+/* ************************************************* LISTENERS PANEL ************************************************** */
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ********************* */
+/* Listeners first panel */
+/* ********************* */
+
+org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep1 = function ()
+{
+	var endB = org.ametys.web.tool.page.Add.box.buttons[2];
+
+	if (org.ametys.web.tool.page.Add._titleField.getValue() == "") 
+	{
+		endB.disable();
+	}
+	else
+	{
+		endB.enable();
+	}
+}
+
+/* ********************** */
+/* Listeners second panel */
+/* ********************** */
+
+// Check all items of the accordion are not close
+org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2 = Ext.id();
+
+org.ametys.web.tool.page.Add._onBeforeExpandPanelStep2 = function (panel)
+{
+	org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2 = panel.id;
+}
+
+org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep2 = function (panel)
+{
+	if (org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2 == panel.id) 
+	{
+		return false;
+	} 
+}
+
+// Check if the form's values are correct to continue or terminate
+org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2= function ()
+{
+	var idPanel = org.ametys.web.tool.page.Add._accordionPanelTemplate.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2);
+	var nextB = org.ametys.web.tool.page.Add.box.buttons[1];
+	var endB = org.ametys.web.tool.page.Add.box.buttons[2];
+	switch (idPanel)
+	{
+		case 0:
+			var valueC = org.ametys.web.tool.page.Add._multiSelectTemplate.getValue();
+			if (valueC == "" || valueC.search(',') != -1 )
+			{
+				nextB.disable();
+				endB.disable();
+			}
+			else
+			{
+				nextB.enable();
+				if (!org.ametys.web.tool.page.Add._serviceRight &amp;&amp; !org.ametys.web.tool.page.Add._contentRight &amp;&amp; !org.ametys.web.tool.page.Add._tagRight)
+				{
+					nextB.disable();
+				}
+				endB.enable();
+			}
+			break;
+		case 1:
+			if (org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.getValue() != "")
+			{
+				nextB.disable();
+				if (org.ametys.web.tool.page.Add._tagRight)
+				{
+					nextB.enable();
+				}
+				endB.enable();
+			}
+			else
+			{
+				nextB.disable();
+				endB.disable();
+			}
+			break;
+		case 2:
+			if (org.ametys.web.tool.page.Add._panelTextExternalLink.items.get(2).getValue() != "")
+			{
+				nextB.disable();
+				if (org.ametys.web.tool.page.Add._tagRight)
+				{
+					nextB.enable();
+				}
+				endB.enable();
+			}
+			else
+			{
+				nextB.disable();
+				endB.disable();
+			}
+			break;
+		case 3:
+			nextB.disable();
+			if (org.ametys.web.tool.page.Add._tagRight)
+			{
+				nextB.enable();
+			}
+			endB.enable();
+			break;
+		default:
+			nextB.disable();
+			endB.disable();
+			break;
+	}
+}
+
+// Show the widget if the radio is checked.
+org.ametys.web.tool.page.Add.radioTemplateSelectCmsPageCheck = function(radio)
+{
+	if (!radio.checked) {
+		org.ametys.web.tool.page.Add._panelSitemapWidgetCmsPage.hide();
+	} else {
+		org.ametys.web.tool.page.Add._panelSitemapWidgetCmsPage.show();	
+	}
+	org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2();
+}
+
+// Show the textField if the radio is checked.
+org.ametys.web.tool.page.Add.radioTemplateSelectExternalLinkCheck = function(radio)
+{
+	if (!radio.checked) {
+		org.ametys.web.tool.page.Add._panelTextExternalLink.hide();
+	} else {
+		org.ametys.web.tool.page.Add._panelTextExternalLink.show();	
+	}
+	org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2();
+}
+
+/* ********************* */
+/* Listeners third panel */
+/* ********************* */
+
+// Check all items of the accordion are not close
+org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3 = Ext.id();
+
+org.ametys.web.tool.page.Add._onBeforeExpandPanelStep3 = function (panel)
+{
+	org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3 = panel.id;
+}
+
+org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep3 = function (panel)
+{
+		if (org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3 == panel.id) 
+		{
+			return false;
+		} 
+}
+
+// Check if the form's values are correct to continue or terminate
+org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep3 = function ()
+{
+	var idPanel = org.ametys.web.tool.page.Add._accordionPanelContentAndService.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3);
+	var nextB = org.ametys.web.tool.page.Add.box.buttons[1];
+	var endB = org.ametys.web.tool.page.Add.box.buttons[2];
+	switch (idPanel)
+	{
+		case 0:
+			var valueC = org.ametys.web.tool.page.Add._multiSelectContent.getValue();
+			if (valueC == "" || valueC.search(',') != -1 )
+			{
+				nextB.disable();
+				endB.disable();
+			}
+			else
+			{
+				nextB.enable();
+				if (!org.ametys.web.tool.page.Add._tagRight)
+				{
+					nextB.disable();
+				}
+				endB.enable();
+			}
+			break;
+		case 1:
+			var valueC = org.ametys.web.tool.page.Add._multiSelectService.getValue();
+			if (valueC == "" || valueC.search(',') != -1 )
+			{
+				nextB.disable();
+				endB.disable();
+			}
+			else
+			{
+				nextB.enable();
+				if (!org.ametys.web.tool.page.Add._tagRight)
+				{
+					nextB.disable();
+				}
+				endB.enable();
+			}
+			break;
+		default:
+			nextB.disable();
+			endB.disable();
+			break;
+	}
+}
+
+/* ********************** */
+/* Listeners fourth panel */
+/* ********************** */
+
+// Check if the form's values are correct to continue or terminate
+org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep4 = function ()
+{	
+	org.ametys.web.tool.page.Add.box.buttons[2].enable();
+}
+
+/* ***************** */
+/* Listeners Buttons */
+/* ***************** */
+
+// Change the card of the cardPanel and do actions depends of the step
+org.ametys.web.tool.page.Add._navHandler = function (direction)
+{
+	var wizard = org.ametys.web.tool.page.Add._wizard;
+	var cardLayout = wizard.getLayout();
+	
+	var prevB = org.ametys.web.tool.page.Add.box.buttons[0];
+	var nextB = org.ametys.web.tool.page.Add.box.buttons[1];
+	var endB = org.ametys.web.tool.page.Add.box.buttons[2];
+	var okB = org.ametys.web.tool.page.Add.box.buttons[3];
+	var index = wizard.items.indexOf(cardLayout.activeItem);
+	var next = index + direction;	
+	
+
+	if (next == 2 &amp;&amp; org.ametys.web.tool.page.Add._tagRight)
+	{
+		var idPanel = org.ametys.web.tool.page.Add._accordionPanelTemplate.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2);
+		if (idPanel != 0 || !org.ametys.web.tool.page.Add._serviceRight &amp;&amp; !org.ametys.web.tool.page.Add._contentRight)
+		{
+			next += direction;
+		}
+	}
+
+	switch (next) 
+	{ 
+		case 0:
+			nextB.hide();
+			nextB.disable();
+			prevB.hide();
+			prevB.disable();
+			
+			endB.hide();
+			endB.disable();
+			
+			okB.show();
+			okB.enable();
+			
+			org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep1();
+			break;
+		case 1: 
+			if (okB.isVisible())
+			{
+				org.ametys.web.tool.page.Add._createPage(function () {
+					if (org.ametys.web.tool.page.Add._pageId != null)
+					{
+						org.ametys.web.tool.page.Add._showPage();
+						
+						nextB.show();
+						nextB.enable();
+						prevB.show();
+						prevB.disable();
+						endB.show();
+						endB.enable();
+						
+						okB.hide();
+						okB.disable();
+
+						cardLayout.setActiveItem(next);
+						org.ametys.web.tool.page.Add._wizard.doLayout();
+						
+						org.ametys.web.tool.page.Add._multiSelectTemplate.store.removeAll();
+						org.ametys.web.tool.page.Add._setTemplatesMultiSelect(org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2);
+					}
+				});
+				return;
+			}
+			else
+			{
+				nextB.show();
+				nextB.enable();
+				prevB.show();
+				prevB.disable();
+								
+				org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2();
+			}
+			break; 
+		case 2: 
+			prevB.enable();
+			org.ametys.web.tool.page.Add._multiSelectContent.store.removeAll();
+		    org.ametys.web.tool.page.Add._multiSelectService.store.removeAll();
+			org.ametys.web.tool.page.Add._setTemplateAndGetContentAndService(org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep3);
+			break;
+		case 3: 
+			prevB.enable();
+			nextB.disable();
+			
+			var idPanelT = org.ametys.web.tool.page.Add._accordionPanelTemplate.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2);
+			var idPanelC = org.ametys.web.tool.page.Add._accordionPanelContentAndService.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3);
+			if (idPanelC == 0 &amp;&amp; idPanelT == 0)
+			{
+				org.ametys.web.tool.page.Add._contentFilter = "";
+			} else {
+				org.ametys.web.tool.page.Add._contentFilter = "CONTENT";
+			}
+			
+		
+			var index = org.ametys.web.tool.page.Add._wizard.items.get(3).items.indexOf(org.ametys.web.tool.page.Add._treeTagPanel);
+			org.ametys.web.tool.page.Add._wizard.items.get(3).remove(org.ametys.web.tool.page.Add._treeTagPanel);
+			org.ametys.web.tool.page.Add._treeTagPanel = new org.ametys.web.tree.TagsTreePanel ({
+				width: 360,
+		    	height: 360,
+		    	
+		    	checkMode: true,
+			    filterTarget: org.ametys.web.tool.page.Add._contentFilter,
+			    siteName: context.parameters.siteName,
+			    page: org.ametys.web.tool.page.Add._pageId
+		
+			})
+			org.ametys.web.tool.page.Add._wizard.items.get(3).insert(index,org.ametys.web.tool.page.Add._treeTagPanel);
+			org.ametys.web.tool.page.Add._firstLoad = false;
+
+			
+			org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep4();
+			break;
+		default:
+			prevB.disable();
+			nextB.disable();
+			endB.disable();
+			break;
+	}
+	
+	cardLayout.setActiveItem(next);
+	org.ametys.web.tool.page.Add._wizard.doLayout();
+}
+
+// Do Action depend on the step and close the windows
+org.ametys.web.tool.page.Add._terminate = function()
+{
+	var wizard = org.ametys.web.tool.page.Add._wizard;
+	var cardLayout = wizard.getLayout();
+
+	switch (wizard.items.indexOf(cardLayout.activeItem)) 
+	{
+		case 0:
+			org.ametys.web.tool.page.Add._createPage(function () 
+			{
+				if (org.ametys.web.tool.page.Add._pageId != null)
+				{
+					org.ametys.web.tool.page.Add._showPage(function() 
+					{
+						org.ametys.web.tool.page.Add.box.hide();
+					});
+				}
+			});
+			break;
+		case 1:
+			org.ametys.web.tool.page.Add._step1Over(function() 
+			{
+				org.ametys.web.tool.page.Add.box.hide();
+			});
+			break;
+		case 2:
+			
+			var idPanel = org.ametys.web.tool.page.Add._accordionPanelContentAndService.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3);
+			if (idPanel == 0)
+			{
+				org.ametys.web.tool.page.Add._step1Over(function() 
+				{
+					org.ametys.web.tool.page.Add._step2Over(function() 
+					{
+						org.ametys.web.tool.page.Add.box.hide();
+					});
+				});
+			}
+			else
+			{
+				org.ametys.web.tool.page.Add._step1Over(function() 
+				{
+					org.ametys.web.tool.page.Add.box.hide();
+					org.ametys.web.tool.page.Add._step2Over();
+				});
+			}
+			break;
+		case 3:
+			var idPanel = org.ametys.web.tool.page.Add._accordionPanelContentAndService.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3);
+			if (idPanel == 0)
+			{
+				org.ametys.web.tool.page.Add._step1Over(function() 
+				{
+					org.ametys.web.tool.page.Add._step2Over(function() 
+					{
+						org.ametys.web.tool.page.Add._step3Over(function() 
+						{
+							org.ametys.web.tool.page.Add.box.hide();
+						});
+					});
+				});
+			}
+			else
+			{
+				org.ametys.web.tool.page.Add._step1Over(function() 
+				{
+					org.ametys.web.tool.page.Add._step3Over(function() 
+					{
+						org.ametys.web.tool.page.Add.box.hide();
+						org.ametys.web.tool.page.Add._step2Over();
+					});
+				});
+			}
+			break;
+		default:
+			break;
+	}
+}
+
+// Close the windows
+org.ametys.web.tool.page.Add.cancel = function ()
+{
+	var wizard = org.ametys.web.tool.page.Add._wizard;
+	var cardLayout = wizard.getLayout();
+
+	if (wizard.items.indexOf(cardLayout.activeItem) != 0) 
+	{
+		var target = org.ametys.messagebus.bus.MessageBuilder.getInstance().createTarget("page", {'id': org.ametys.web.tool.page.Add._pageId});
+		var events = [];
+		events.push(org.ametys.messagebus.bus.MessageBuilder.getInstance().createMessage(org.ametys.ribbon.RibbonManager.EVENTTYPE_CREATED, null, [target]));
+		org.ametys.messagebus.MessageBus.getInstance().fireMessages(events);
+	}
+	
+	org.ametys.web.tool.page.Add.box.hide();
+}
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+/* ******************************************** PAGE ACTION AND CALLBACK ********************************************** */
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+// id of the page created
+org.ametys.web.tool.page.Add._pageId;
+
+// Creation of an empty page
+org.ametys.web.tool.page.Add._createPage = function (callback)
+{
+	var titleField = Ext.getCmp('add-page-title');
+	if (!titleField.isValid())
+	{
+		return;
+	}
+
+	var longTitleField = Ext.getCmp('add-page-title-long');
+
+	// Parameters
+	var params = {};
+	params.title = titleField.getValue();
+	params.longTitle = longTitleField.getValue();
+	params.parentId = org.ametys.web.tool.page.Add._selectedPage;
+	
+	// Send message
+	var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, '/repository/create-page', params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._createPageCB, this, [callback]);
+	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+	
+	org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_WAITING_MSG"/>");
+}
+
+// callback of the page creation
+org.ametys.web.tool.page.Add._createPageCB = function (response, args)
+{
+	var callback = args[0];
+	
+	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_ERROR"/>", response, "org.ametys.web.tool.page.Add"))
+	{
+		org.ametys.web.tool.page.Add.box.hideWaitMsg();
+		callback(null);
+		return;
+	}
+	
+	if (response.selectSingleNode("ActionResult/invalid-name")[org.ametys.servercomm.ServerComm.xmlTextContent] != '')
+	{
+		var name = response.selectSingleNode("ActionResult/invalid-name")[org.ametys.servercomm.ServerComm.xmlTextContent];
+		Ext.Msg.show({
+			   title: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_CAPTION"/>",
+			   msg: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_INVALID_NAME"/>", 
+			   buttons: Ext.Msg.OK,
+			   icon: Ext.MessageBox.ERROR
+		});
+		org.ametys.web.tool.page.Add.box.hideWaitMsg();
+		callback();
+		return;
+	}
+	
+	org.ametys.web.tool.page.Add.box.hideWaitMsg();
+	
+	org.ametys.web.tool.page.Add._pageId = response.selectSingleNode("*/id")[org.ametys.servercomm.ServerComm.xmlTextContent];
+	org.ametys.web.tool.page.Add._pageLang = response.selectSingleNode("*/lang")[org.ametys.servercomm.ServerComm.xmlTextContent];
+
+	callback();
+}
+
+//Action to do when all the other finished. Close the windows
+org.ametys.web.tool.page.Add._showPage = function(callback)
+{
+	var wizard = org.ametys.web.tool.page.Add._wizard;
+	var cardLayout = wizard.getLayout();
+
+	var target = org.ametys.messagebus.bus.MessageBuilder.getInstance().createTarget("page", {'id': org.ametys.web.tool.page.Add._pageId});
+	
+	org.ametys.web.tool.page.Add._setRights(target);
+	org.ametys.web.tool.page.Add._handleRightTemplate();
+	org.ametys.web.tool.page.Add._handleRightServiceAndContent();
+	
+	var events = [];
+	events.push(org.ametys.messagebus.bus.MessageBuilder.getInstance().createMessage(org.ametys.ribbon.RibbonManager.EVENTTYPE_CREATED, null, [target]));
+	org.ametys.messagebus.MessageBus.getInstance().fireMessages(events);
+	
+	// If the callback is null, that means the Add was triggered by a control
+	// (Add button, for instance).
+	if (org.ametys.web.tool.page.Add.callback == null)
+	{
+    	// In that case, open the tool on the newly created page.
+    	org.ametys.uitool.ToolsManager.getInstance().openTool("uitool-page", {id: org.ametys.web.tool.page.Add._pageId});
+	}
+	else
+	{
+	    // In a callback is present, trigger the callback, providing the newly
+		// created page ID and the parent ID.
+	    org.ametys.web.tool.page.Add.callback(org.ametys.web.tool.page.Add._pageId, org.ametys.web.tool.page.Add._selectedPage);
+	}					
+	
+	if (Ext.isFunction(callback))
+	{
+		callback();
+	}
+}
+
+
+// Action to do to the end of the step 1
+org.ametys.web.tool.page.Add._step1Over = function (callBack) 
+{
+	var pageId = org.ametys.web.tool.page.Add._pageId;
+		
+	var idPanel = org.ametys.web.tool.page.Add._accordionPanelTemplate.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2);
+	switch (idPanel)
+	{
+		default:
+		case 0:
+			var template = org.ametys.web.tool.page.Add._multiSelectTemplate.getValue();
+			
+			// set template 'template' on page pageId
+			var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, "page/apply-template.xml", { pages: [pageId], template: template }, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._step1OverCB, this, [callBack, 0, pageId]);
+			org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+			
+			org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_TEMPLATE_WAITING_MSG"/>"); // TODO
+			break;
+		case 1:
+			org.ametys.web.tool.page.Add._serviceAndContentDisable = true;
+			
+			var cmsRedirection = org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.getValue();
+			
+			if (pageId == cmsRedirection)
+			{
+				 Ext.Msg.show({
+		            title: "<i18n:text i18n:key='PLUGINS_WEB_PAGE_LINKPAGE_ERRORTITLE'/>",
+		            msg: "<i18n:text i18n:key='PLUGINS_WEB_PAGE_LINKPAGE_REDIRECT_ITSELF_ERROR'/>",
+		            buttons: Ext.Msg.OK,
+		            icon: Ext.MessageBox.ERROR
+		        });
+				return;
+			}
+			
+			var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, "page/set-link.xml", { pages: [pageId], url: cmsRedirection, "url-type": "PAGE" }, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._step1OverCB, this, [callBack, 1, pageId]);
+			org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+			org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_EXTERNAL_LINK_WAITING_MSG"/>");
+			break;
+		case 2:
+			org.ametys.web.tool.page.Add._serviceAndContentDisable = true;
+
+			var externalRedirection = org.ametys.web.tool.page.Add._panelTextExternalLink.items.get(2).getValue();
+			
+			var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, "page/set-link.xml", { pages: [pageId], url: externalRedirection, "url-type": "WEB" }, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._step1OverCB, this, [callBack, 1, pageId]);
+			org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+			org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_EXTERNAL_LINK_WAITING_MSG"/>");
+			
+			break;
+		case 3:
+			org.ametys.web.tool.page.Add._serviceAndContentDisable = true;
+			if (Ext.isFunction(callBack))
+			{
+				callBack();
+			}
+			break;
+	}
+	
+}
+
+// Callback of the _step1Over function
+org.ametys.web.tool.page.Add._step1OverCB = function (response, args)
+{
+	var callback = args[0];
+	var pageType = args[1];
+	var pageId = args[2];
+	var pageTitle = Ext.getCmp('add-page-title').getValue(); 
+	
+	org.ametys.web.tool.page.Add.box.hideWaitMsg();
+	
+	switch (pageType)
+	{
+		case 0:
+			if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_PAGE_TEMPLATESMENU_ERRORDESCRIPTION"/>", response, "org.ametys.web.tool.page.Add._step1OverCB")) // TODO
+			{
+				return;
+			}
+			
+			org.ametys.web.page.TemplatesMenu.affectCallback(response, [pageId]);
+			org.ametys.web.tool.page.Add._zoneName = response.selectSingleNode("ActionResult/zonename")[org.ametys.servercomm.ServerComm.xmlTextContent];
+			
+			break;
+		case 1:
+		    if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_PAGE_LINKPAGE_ERRORTITLE"/>", response, "org.ametys.web.page.LinkPage"))
+		    {
+		        // Handle error
+		        return;
+		    }
+
+		    //FIXME
+		    org.ametys.web.page.LinkPage.prototype._actionCallback(response,{"pagesIds": [pageId], "pageTitles": [pageTitle]});
+			
+			break;
+	}
+	
+	if (Ext.isFunction(callback))
+	{
+		callback();
+	}
+}
+
+// Action to do to the end of the step 2
+org.ametys.web.tool.page.Add._step2Over = function (callback) 
+{
+	if (!org.ametys.web.tool.page.Add._serviceAndContentDisable)
+	{
+		
+		var zoneName = org.ametys.web.tool.page.Add._zoneName;
+		if (zoneName == null)
+		{
+			// TODO alert user that the content or service cannot be created on a
+			// page with a template with no primary zone
+			if (Ext.isFunction(callback))
+			{
+				callback();
+			}
+		}
+		
+		var pageId = org.ametys.web.tool.page.Add._pageId;
+		var controlInstance = org.ametys.ribbon.RibbonManager.getInstance().getControls()[org.ametys.web.tool.page.Add._controlId];
+	
+		var idPanel = org.ametys.web.tool.page.Add._accordionPanelContentAndService.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3);
+		switch (idPanel)
+		{
+			default:
+			case 0:
+				var contentType = org.ametys.web.tool.page.Add._multiSelectContent.getValue();
+				var indContent = org.ametys.web.tool.page.Add._multiSelectContent.store.find('id',contentType);
+				var labelContent = org.ametys.web.tool.page.Add._multiSelectContent.store.getAt(indContent).data.text;
+				var defaultTitleContent = org.ametys.web.tool.page.Add._multiSelectContent.store.getAt(indContent).data.defaultTitle;
+				
+				var actionId = controlInstance._configuration["workflowInitActionId"];
+				var actionIdEdit = controlInstance._configuration["workflowEditActionId"];
+				
+				var params = {};
+				params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentLanguage"] = org.ametys.web.tool.page.Add._pageLang;
+				params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentName"] = Ext.getCmp("add-page-title").getValue() + " " + labelContent;
+				params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentTitle"] = defaultTitleContent;
+				params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentType"] = contentType;		
+				params["workflow-org.ametys.web.repository.site.Site"] = context.parameters.siteName;
+				params["workflow-org.ametys.web.workflow.CreateContentFunction$pageId"] = pageId;
+				params["workflow-org.ametys.web.workflow.CreateContentFunction$zoneName"] = org.ametys.web.tool.page.Add._zoneName;
+				for (var c in controlInstance._configuration)
+				{
+					if (c.indexOf("workflow-") == 0)
+					{
+						params[c] = controlInstance._configuration[c];
+					}
+				}
+				org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key='PLUGINS_WEB_CREATEPAGE_GET_TEMPLATE_WAITING_MSG'/>");
+	
+				var serverMessage = new org.ametys.servercomm.ServerMessage("cms", 'init-workflow/' + actionId, params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._step2OverCB.createDelegate(this, [callback], true), this, [actionIdEdit]);
+				org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+				break;
+			case 1:
+				var serviceId = org.ametys.web.tool.page.Add._multiSelectService.getValue();
+				var indService = org.ametys.web.tool.page.Add._multiSelectService.store.find('id',serviceId);
+				var parametersAction = org.ametys.web.tool.page.Add._multiSelectService.store.getAt(indService).data.parametersAction;
+				
+				var params = {};
+				params["service-org.ametys.web.service$id"] = serviceId;
+				params["service-org.ametys.web.service$pageId"] = pageId;
+				params["service-org.ametys.web.service$zoneName"] = zoneName;
+				
+				// Initialize ServiceParameters properties even if it can be not used 
+				org.ametys.web.content.ServiceParameters._params = params;
+				org.ametys.web.content.ServiceParameters._mode = 'new';
+				org.ametys.web.content.ServiceParameters._callback = org.ametys.web.tool.page.Add._step2OverCB.createDelegate(this, [callback], true);
+				org.ametys.web.content.ServiceParameters._widgets = {};
+				
+				// Draw dialog parameters box (this could be useless)
+				org.ametys.web.content.ServiceParameters.delayedInitialize ();
+				
+				// Service window creation
+				if (typeof eval(parametersAction) == 'function')
+				{
+					eval(parametersAction + '(params, org.ametys.web.content.ServiceParameters._callback, org.ametys.web.content.ServiceParameters._mode, null)');
+				}
+				else
+				{
+					org.ametys.web.content.ServiceParameters.act(params, org.ametys.web.content.ServiceParameters._callback, org.ametys.web.content.ServiceParameters._mode, null);
+				}
+				break;
+		}
+	}
+	else
+	{
+		if (Ext.isFunction(callback))
+		{
+			callback();
+		}
+	}
+}
+
+// Callback of the _step2Over function
+org.ametys.web.tool.page.Add._step2OverCB = function (response, args, callback)
+{
+	if (Ext.isFunction(callback))
+	{
+		callback();
+	}
+	
+	var idPanel = org.ametys.web.tool.page.Add._accordionPanelContentAndService.items.keys.indexOf(org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3);
+	switch (idPanel)
+	{
+		default:
+		case 0:
+			org.ametys.web.tool.page.Add.box.hideWaitMsg();
+
+			if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_ZONE_ADDCONTENTACTION_ERROR"/>", response, "org.ametys.web.content.AddContentAction"))
+			{
+				return;
+			}
+
+			var contentId = response.selectSingleNode("ActionResult/contentId")[org.ametys.servercomm.ServerComm.xmlTextContent];
+			var actionIdEdit = args[0];
+			org.ametys.uitool.ToolsManager.getInstance().openTool("uitool-content", {'id': contentId, 'mode': 'edit', "workflow-action": actionIdEdit});
+			
+			break;	
+		case 1:
+			org.ametys.web.tool.page.Add.box.hideWaitMsg();
+
+			if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_CONTENT_ADDSERVICEMENU_ERROR"/>", response, "org.ametys.web.content.AddServiceAction"))
+			{
+				return;
+			}
+
+			org.ametys.web.content.AddServiceAction._finalizeCreation(response, args);
+			break;
+	}
+}
+
+// Action to do to the end of the step 3
+org.ametys.web.tool.page.Add._step3Over = function (callback) 
+{
+	var params = {};
+	
+	// Current page
+	params['pageId'] = org.ametys.web.tool.page.Add._pageId;
+
+	var tags = {}
+	var selNodes = org.ametys.web.tool.page.Add._treeTagPanelb.getChecked();//org.ametys.web.tool.page.Add.Tag._tree.getChecked();
+	for (var i=0; i &lt; selNodes.length; i++)
+	{
+		tags[selNodes[i].attributes.name] = selNodes[i].attributes.target;
+	}
+	params['tags'] = tags;
+	
+	var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, '/repository/tag', params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._step3OverCB, this, [callback]);
+	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+}
+
+// Callback of the _step3Over function
+org.ametys.web.tool.page.Add._step3OverCB = function (response, args) 
+{
+	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_UITOOL_TAG_ERROR"/>", response, "org.ametys.web.tool.page.Add"))
+	{
+		return;
+	}
+	
+	var messages = [];
+	var pageTarget = org.ametys.messagebus.bus.MessageBuilder.getInstance().createTarget("page", {'id': org.ametys.web.tool.page.Add._pageId});
+	messages.push(org.ametys.messagebus.bus.MessageBuilder.getInstance().createMessage(org.ametys.ribbon.RibbonManager.EVENTTYPE_METADATACHANGED, null, [pageTarget]));
+	
+	org.ametys.messagebus.MessageBus.getInstance().fireMessages(messages);
+	
+	var callback = args[0];
+	if (Ext.isFunction(callback))
+	{
+		callback();
+	}
+}
+
+//Get services and contents available depends on the page, the template and the zone
+org.ametys.web.tool.page.Add._setTemplateAndGetContentAndService = function (callback)
+{
+	var params = {};
+	params.pageId = org.ametys.web.tool.page.Add._pageId;
+	params.template = org.ametys.web.tool.page.Add._multiSelectTemplate.getValue();
+	
+	// Send message
+	var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, '/repository/page-contents-services', params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._setTemplateAndGetContentAndServiceCB, this, [callback]);
+	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+	
+	org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_GET_CONTENTS_SERVICES_WAITING_MSG"/>");
+}
+
+// Get services and contents callback
+org.ametys.web.tool.page.Add._setTemplateAndGetContentAndServiceCB = function (response, args)
+{
+	var callBack = args[0];
+
+	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_WEB_CREATE_PAGE_GET_CONTENTS_SERVICES"/>", response, "org.ametys.web.tool.page.Add"))
+    {
+		org.ametys.web.tool.page.Add.box.hideWaitMsg();
+		return;
+    }
+	
+	var contents = response.selectNodes('*/contents/content');
+
+	var listIdContents = [];
+	for (var i=0; i &lt; contents.length; i++)
+	{
+		var id = contents[i].getAttribute('id');
+		listIdContents[i] = id;
+	}
+	
+	var services = response.selectNodes('*/services/service');
+
+	var listIdServices = [];
+	for (var i=0; i &lt; services.length; i++)
+	{
+		var id = services[i].getAttribute('id');
+		listIdServices[i] = id;
+	}
+
+	var controlInstance = org.ametys.ribbon.RibbonManager.getInstance().getControls()[org.ametys.web.tool.page.Add._controlId];
+	
+	org.ametys.web.tool.page.Add._sortAndSetListContent(listIdContents, controlInstance)
+	org.ametys.web.tool.page.Add._sortAndSetListService(listIdServices, controlInstance)
+		
+	org.ametys.web.tool.page.Add.box.hideWaitMsg();
+	callBack();
+}
+
+// Set all the templates available associated to the page
+org.ametys.web.tool.page.Add._setTemplatesMultiSelect = function(callback)
+{	
+	// Send message
+	var serverMessage = new org.ametys.servercomm.ServerMessage(org.ametys.web.tool.page.Add.pluginName, 'repository/page-templates', {pageId: org.ametys.web.tool.page.Add._pageId}, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.web.tool.page.Add._setTemplatesMultiSelectCB, this, [callback]);
+	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
+	
+	org.ametys.web.tool.page.Add.box.showWaitMsg("<i18n:text i18n:key='PLUGINS_WEB_CREATEPAGE_GET_TEMPLATE_WAITING_MSG'/>");
+}
+
+// Callback when we get the templates
+org.ametys.web.tool.page.Add._setTemplatesMultiSelectCB = function(response, args)
+{
+	var callBack = args[0];
+	
+	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key='PLUGINS_WEB_CREATE_PAGE_GET_TEMPLATES'/>", response, "org.ametys.web.tool.page.Add"))
+    {
+		org.ametys.web.tool.page.Add.box.hideWaitMsg();
+		return;
+    }
+	
+	var templates = response.selectNodes('templates/template');
+
+	var listIdTemplates = [];
+	for (var i=0; i &lt; templates.length; i++)
+	{
+		var id = templates[i].getAttribute('id');
+		listIdTemplates[i] = id;
+	}
+	
+	var controlInstance = org.ametys.ribbon.RibbonManager.getInstance().getControls()[org.ametys.web.tool.page.Add._controlId];
+	org.ametys.web.tool.page.Add._sortAndSetListTemplate(listIdTemplates, controlInstance);
+	
+	org.ametys.web.tool.page.Add.box.hideWaitMsg();
+	if (Ext.isFunction(callBack))
+	{
+		callBack();
+	}
+}
+
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+/* ****************************************************** RIGTHS ******************************************************* */
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+org.ametys.web.tool.page.Add._serviceRight;
+org.ametys.web.tool.page.Add._contentRight;
+org.ametys.web.tool.page.Add._templateRight;
+org.ametys.web.tool.page.Add._linkRight;
+org.ametys.web.tool.page.Add._tagRight;
+
+// set user rights
+org.ametys.web.tool.page.Add._setRights  = function(target)
+{
+	var listRights = target.getParameters().rights;
+	var controlInstance = org.ametys.ribbon.RibbonManager.getInstance().getControls()[org.ametys.web.tool.page.Add._controlId];
+	
+	var serviceRight = controlInstance._configuration["right-addservice"];
+	org.ametys.web.tool.page.Add._serviceRight = org.ametys.web.tool.page.Add._in_array(serviceRight,listRights);
+	
+	var contentRight = controlInstance._configuration["right-addcontent"];
+	org.ametys.web.tool.page.Add._contentRight = org.ametys.web.tool.page.Add._in_array(contentRight,listRights);
+	
+	var templateRight = controlInstance._configuration["right-settemplate"];
+	org.ametys.web.tool.page.Add._templateRight = org.ametys.web.tool.page.Add._in_array(templateRight,listRights);
+	
+	var linkRight = controlInstance._configuration["right-setlinkpage"];
+	org.ametys.web.tool.page.Add._linkRight = org.ametys.web.tool.page.Add._in_array(linkRight,listRights);
+	
+	var tagRight = controlInstance._configuration["right-addtag"];
+	org.ametys.web.tool.page.Add._tagRight = org.ametys.web.tool.page.Add._in_array(tagRight,listRights);
+}
+
+org.ametys.web.tool.page.Add._serviceAndContentDisable;
+
+// active/desactive panel depend on the rights
+org.ametys.web.tool.page.Add._handleRightServiceAndContent = function()
+{
+	var activeItemId = 0;
+	if (!org.ametys.web.tool.page.Add._contentRight)
+	{
+		org.ametys.web.tool.page.Add._panelMultiSelectContent.disable();
+		activeItemId = 1;
+	}
+	else
+	{
+		org.ametys.web.tool.page.Add._panelMultiSelectContent.enable();
+	}
+	
+	if (!org.ametys.web.tool.page.Add._serviceRight)
+	{
+		org.ametys.web.tool.page.Add._panelMultiSelectService.disable();
+		if (activeItemId == 1)
+		{
+			org.ametys.web.tool.page.Add._serviceAndContentDisable = true;
+		}
+	}
+	else
+	{
+		org.ametys.web.tool.page.Add._panelMultiSelectService.enable();
+	}
+	
+
+	org.ametys.web.tool.page.Add._accordionPanelContentAndService.getLayout().setActiveItem(activeItemId);
+}
+
+//active/desactive panel depend on the rights
+org.ametys.web.tool.page.Add._handleRightTemplate = function()
+{
+	var activeItemId = 0;
+    if (!org.ametys.web.tool.page.Add._templateRight)
+	{
+		org.ametys.web.tool.page.Add._panelMultiSelectTemplate.disable();
+		if (activeItemId == 0)
+		{
+			activeItemId = 1;
+		}
+	} 
+	else
+	{
+		org.ametys.web.tool.page.Add._panelMultiSelectTemplate.enable();							
+	}
+	
+	if (!org.ametys.web.tool.page.Add._linkRight)
+	{
+		org.ametys.web.tool.page.Add._panelSitemapWidgetCmsPage.disable();
+	    org.ametys.web.tool.page.Add._panelTextExternalLink.disable();
+		if (activeItemId == 1)
+		{
+			activeItemId = 3;
+		}
+	} 
+	else
+	{
+		org.ametys.web.tool.page.Add._panelSitemapWidgetCmsPage.enable();
+	    org.ametys.web.tool.page.Add._panelTextExternalLink.enable();							
+	}
+    
+    org.ametys.web.tool.page.Add._accordionPanelTemplate.getLayout().setActiveItem(activeItemId);
+}
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+/* ****************************************************** OTHER ******************************************************* */
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+//Sort (alphabetic order) and put the contents in the store
+org.ametys.web.tool.page.Add._sortAndSetListContent = function(listIdContents, controlInstance)
+{
+	var sizeContents = controlInstance._configuration["contents-size"];
+	var store = org.ametys.web.tool.page.Add._multiSelectContent.store;
+	
+	var tabLabel = [];
+	var tabLabelToInd = [];
+	
+	for (var ind = 0; ind &lt; sizeContents; ind++) 
+	{
+		tabLabel[ind] = controlInstance._configuration['content-'+ind+'-label'];
+		tabLabelToInd[controlInstance._configuration['content-'+ind+'-label']] = ind;
+	}
+	
+	tabLabel.sort();
+	
+	var idContentToSelect = "";
+	for (var i = 0; i &lt; sizeContents; i++)
+	{
+		var idContent = controlInstance._configuration['content-'+tabLabelToInd[tabLabel[i]]+'-id'];
+		if (org.ametys.web.tool.page.Add._in_array(idContent, listIdContents))
+		{
+			if (controlInstance._configuration['content-'+tabLabelToInd[tabLabel[i]]+'-label'] == "Article") 
+			{
+				idContentToSelect = idContent;
+			}
+			
+			var reT = new store.recordType({id: idContent,
+									   		text: controlInstance._configuration['content-' + tabLabelToInd[tabLabel[i]] + '-label'], 
+									   		smallIcon: controlInstance._configuration['content-' + tabLabelToInd[tabLabel[i]] + '-iconMedium'], 
+									   		description: controlInstance._configuration['content-' + tabLabelToInd[tabLabel[i]] + '-description'],
+											defaultTitle: controlInstance._configuration['content-' + tabLabelToInd[tabLabel[i]] + '-defaultTitle']});
+			store.add(reT);
+			
+		}
+	}
+	
+	if (idContentToSelect != "") 
+	{
+	    org.ametys.web.tool.page.Add._multiSelectContent.setValue(idContentToSelect);
+	} 
+	else 
+	{
+		org.ametys.web.tool.page.Add._multiSelectContent.setValue(store.getAt(0).data.id);
+	}
+}
+
+//Sort (alphabetic order) and put the services in the store
+org.ametys.web.tool.page.Add._sortAndSetListService = function(listIdServices, controlInstance)
+{
+	var sizeService = controlInstance._configuration["services-size"];
+	var store = org.ametys.web.tool.page.Add._multiSelectService.store;
+	
+	var tabLabel = [];
+	var tabLabelToInd = [];
+	
+	for(var ind = 0; ind &lt; sizeService; ind++) 
+	{
+		tabLabel[ind] = controlInstance._configuration['service-'+ind+'-label'];
+		tabLabelToInd[controlInstance._configuration['service-'+ind+'-label']] = ind;
+	}
+	
+	tabLabel.sort();
+
+	var idServiceToSelect = "";
+	for (var i = 0; i &lt; sizeService; i++)
+	{
+		var idService = controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-id'];
+		if (org.ametys.web.tool.page.Add._in_array(idService, listIdServices))
+		{
+			if (controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-label'] == "Gadget") 
+			{
+				idServiceToSelect = controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-id'];
+			}
+			
+			var reT = new store.recordType({id: idService,
+											text: controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-label'], 
+											smallIcon: controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-iconMedium'], 
+											description: controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-description'],
+											parametersAction: controlInstance._configuration['service-'+tabLabelToInd[tabLabel[i]]+'-parameters-action']});
+			store.add(reT);
+		}
+	}
+	
+	if (idServiceToSelect != "") 
+	{
+	    org.ametys.web.tool.page.Add._multiSelectService.setValue(idServiceToSelect);
+	} 
+	else 
+	{
+	    org.ametys.web.tool.page.Add._multiSelectService.setValue(store.getAt(0).data.id);
+	}
+}
+
+//Sort (alphabetic order) and put the templates in the store
+org.ametys.web.tool.page.Add._sortAndSetListTemplate = function(listIdTemplates, controlInstance)
+{
+	var sizeTemplate = controlInstance._configuration["templates-size"];
+	var store = org.ametys.web.tool.page.Add._multiSelectTemplate.store;
+
+	var tabLabel = [];
+	var tabLabelToInd = [];
+	
+	for (var ind = 0; ind &lt; sizeTemplate; ind++) 
+	{
+		tabLabel[ind] = controlInstance._configuration['template-'+ind+'-label'];
+		tabLabelToInd[controlInstance._configuration['template-'+ind+'-label']] = ind;
+	}
+	
+	tabLabel.sort();
+	
+	var idTemplateToSelect = "";
+	for (var i = 0; i &lt; sizeTemplate; i++)
+	{
+		var idTemplate = controlInstance._configuration['template-'+tabLabelToInd[tabLabel[i]]+'-id'];
+		if (org.ametys.web.tool.page.Add._in_array(idTemplate, listIdTemplates))
+		{
+			if (idTemplate == "page") {
+				idTemplateToSelect = idTemplate;
+			}
+			
+			var reT = new store.recordType({id: idTemplate,
+									  		text: controlInstance._configuration['template-' + tabLabelToInd[tabLabel[i]] + '-label'], 
+									  		smallIcon: controlInstance._configuration['template-' + tabLabelToInd[tabLabel[i]] + '-iconMedium'], 
+									  		description: controlInstance._configuration['template-' + tabLabelToInd[tabLabel[i]] + '-description']});
+			store.add(reT);
+		}
+	}
+	
+	if (idTemplateToSelect != "") 
+	{
+	    org.ametys.web.tool.page.Add._multiSelectTemplate.setValue(idTemplateToSelect);
+	} 
+	else 
+	{
+	    org.ametys.web.tool.page.Add._multiSelectTemplate.setValue(store.getAt(0).data.id);
+	}
+}
+
+// True if the table contains the element
+org.ametys.web.tool.page.Add._in_array = function(element, table) 
+{
+	var inArray = false;
+
+	for (var i=0; i &lt; table.length; i++)
+	{
+		if (table[i] ==  element)
+		{
+			inArray = true;
+			break;
+		}
+	}
+
+	return inArray;
+}
+
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+/* *************************************************** CARDS PANEL **************************************************** */
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
+
+/* ********************************************* */
+/* First Panel : choose the name of the new page */
+/* ********************************************* */
+
+org.ametys.web.tool.page.Add._firstStep = function ()
+{
+	org.ametys.web.tool.page.Add._longTitleField = new Ext.form.TextField ({
+		fieldLabel : "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_TITLELONG"/>",
+		name: 'title-long',
+		id: 'add-page-title-long',
+		allowBlank: true,
+		msgTarget: 'side',
+		width: 470
+    });
+	
+	org.ametys.web.tool.page.Add._titleField = new Ext.form.TextField ({
+			fieldLabel : "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_TITLE"/>",
+			name: 'title',
+			id: 'add-page-title',
+			allowBlank: false,
+			msgTarget: 'side',
+            enableKeyEvents: true,
+			listeners: {
+            	keyup: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep1
+            },
+			width: 200
+     });
+		
+	org.ametys.web.tool.page.Add._panelInfoPage = new Ext.Panel ({
+		id: 'new-page-card-0',
+		
+		border: false,
+		layout: 'form',
+		labelWidth :130,
+		labelAlign: 'top',
+		style: {
+	    	padding: '10px'
+	    },
+        items: [
+                new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_CREATEPAGE_TITLE_HELP"/>"}), 
+                org.ametys.web.tool.page.Add._titleField,
+                new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_HINT"/>"}),
+                org.ametys.web.tool.page.Add._longTitleField,
+                new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_HINT2"/>"}),
+                {
+      		      xtype: 'checkbox',
+      		      cls: 'checkbox-wizard',
+      		      checked: true,
+      		      hideLabel: true,
+      		      boxLabel: "<i18n:text i18n:key='PLUGINS_WEB_TOOL_PAGE_CHECK_PARAM_WIZARD'/>"
+      		    }
+        ]
+    });
+	
+	return org.ametys.web.tool.page.Add._panelInfoPage;
+}
+
+/* ********************************** */
+/* Second Panel : select the template */
+/* ********************************** */
+
+org.ametys.web.tool.page.Add._secondStep = function ()
+{
+	// Multiselect of all templates of the page
+	org.ametys.web.tool.page.Add._multiSelectTemplate = new org.ametys.form.MultiSelectField({
+    	typeAhead: true,
+        width: 450,
+        height: 102,
+        lazyRender:true,
+        mode: 'local',
+        minSelections: 1,
+        maxSelections: 1,
+        allowBlank: false,
+        hideLabel: true,
+        value: '1',
+		listeners: {
+        	change: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2
+        },
+        store: new Ext.data.ArrayStore({
+            id: 0,
+            fields: [
+                'id',
+                'text',
+                'smallIcon',
+                'description'
+            ],
+            data: [[1, 'item1', '/cms/skins/demo/templates/index/resources/thumbnail_32.png', 'long description'], 
+                   [2, 'item2', '/cms/skins/demo/templates/index/resources/thumbnail_32.png', "long description"], 
+                   [3, 'item3', '/cms/skins/demo/templates/index/resources/thumbnail_32.png', "long description"]]
+        }),
+        valueField: 'id',
+        displayField: 'text',
+        tpl: "&lt;div class='add-page-templates'&gt;&lt;img src='{context.contextPath}{smallIcon}'/&gt;&lt;span class='add-page-templates-title'&gt;{text}&lt;/span&gt;&lt;span class='add-page-templates-description'&gt;{description}&lt;/span&gt;&lt;div class='x-clear'&gt;&lt;/div&gt;&lt;/div&gt;"
+    });
+	
+	// Panel with the Multiselect templates and hint
+	org.ametys.web.tool.page.Add._panelMultiSelectTemplate = new Ext.Panel ({
+		id: org.ametys.web.tool.page.Add.panelIdAccordionExpandStep2,
+		title: "&lt;b&gt;<i18n:text i18n:key='PLUGINS_WEB_PAGE_TEMPLATESMENU_LABEL'/>&lt;/b&gt;",
+		border: false,
+		layout: 'form',
+		labelWidth :130,
+		labelAlign: 'top',
+		padding: "0 0 0 33px",
+		listeners: {
+	    	beforecollapse: org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep2,
+	    	beforeexpand: org.ametys.web.tool.page.Add._onBeforeExpandPanelStep2,
+	    	expand: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2
+		},
+		items: [
+                new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_CHOOSETEMPLATE_TITLE_HELP"/>"}),
+                org.ametys.web.tool.page.Add._multiSelectTemplate
+        ]
+    });
+	
+	// Container with the text which sets the adress of the redirection to an
+	// external page
+	org.ametys.web.tool.page.Add._panelTextExternalLink = new Ext.Panel ({		
+		title: "&lt;b&gt;<i18n:text i18n:key="PLUGINS_WEB_PAGE_LINKPAGE_MENU_WEB_LABEL"/>&lt;/b&gt;",
+		border: false,
+		layout: 'form',
+		listeners: {
+			beforecollapse: org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep2,
+	    	beforeexpand: org.ametys.web.tool.page.Add._onBeforeExpandPanelStep2,
+	    	expand: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2
+		},
+		collapsed: true,
+		defaults: {
+            hideLabel: true
+         }, 
+ 		padding: "0 0 0 33px",
+		items: [
+				new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_PAGE_LINKPAGE_WEBREDIRECTDESCRIPTION"/>"}),
+				new org.ametys.HtmlContainer ({tag: 'label', cls: "x-form-item-label", html: "<i18n:text i18n:catalogue='plugin.cms' i18n:key='PLUGINS_CMS_HELPER_ENTERURL_LABEL'/>"}),
+				new org.ametys.form.TextField ({
+					value: 'http://',
+					allowBlank: false,
+					msgTarget: 'side',
+					width: 420,
+		            hideLabel: true,
+		            enableKeyEvents: true,
+		            listeners: {
+		            	keyup: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2
+		            }
+				}),
+				new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:catalogue='plugin.cms' i18n:key='PLUGINS_CMS_HELPER_ENTERURL_HINT'/>"}), 
+		]
+	});
+	
+	// Widget to select the redirection to a CMS page
+	org.ametys.web.tool.page.Add._sitemapWidgetCmsPage = new org.ametys.cms.widgets.SitemapWidget ({
+	    	width: 420,
+	    	hideLabel: true
+	});
+	
+	org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.originalSetValue = org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.setValue;
+	org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.setValue = function(v)
+   	{
+   		org.ametys.web.tool.page.Add._sitemapWidgetCmsPage.originalSetValue(v);
+   		org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2();
+   	};
+	
+   	// Container with the widget
+	org.ametys.web.tool.page.Add._panelSitemapWidgetCmsPage = new Ext.Panel ({
+		title: "&lt;b&gt;<i18n:text i18n:key="PLUGINS_WEB_PAGE_LINKPAGE_MENU_PAGE_LABEL"/>&lt;/b&gt;",
+		border: false,
+		layout: 'form',
+		listeners: {
+			beforecollapse: org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep2,
+	    	beforeexpand: org.ametys.web.tool.page.Add._onBeforeExpandPanelStep2,
+	    	expand: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2
+		},
+		collapsed: true,
+		defaults: {
+            hideLabel: true
+         }, 
+ 		padding: "0 0 0 33px",
+		items: [
+				new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key='PLUGINS_WEB_CREATEPAGE_LINK_CMS_TITLE_HELP'/>"}), 
+		        org.ametys.web.tool.page.Add._sitemapWidgetCmsPage
+    	        ]
+	});
+	
+	// Panel which represents an simple page
+	org.ametys.web.tool.page.Add._panelSimplePage = new Ext.Panel ({
+		title: "&lt;b&gt;<i18n:text i18n:key='PLUGINS_WEB_RIGHTS_PAGE_BLANK_LABEL'/>&lt;/b&gt;",
+		border: false,
+		collapsed: true,
+		padding: "0 0 0 33px",
+		listeners: {
+			beforecollapse: org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep2,
+	    	beforeexpand: org.ametys.web.tool.page.Add._onBeforeExpandPanelStep2,
+	    	expand: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep2
+		},
+        items: [
+                new org.ametys.HtmlContainer ({cls: 'ametys', html: "<i18n:text i18n:key='PLUGINS_WEB_CREATEPAGE_PAGE_BLANK_TITLE_HELP'/>"})
+                ]
+	});
+	
+	// Accordion with 3 panel : the multiselect templates Panel, the external
+	// link Panel and the simple page Panel
+	org.ametys.web.tool.page.Add._accordionPanelTemplate = new Ext.Panel({
+		id: 'new-page-card-1',
+	
+	    layout:'accordion',
+	    padding: 0,
+	    border: false,
+	    style: {
+	    	padding: '10px'
+	    },
+	    defaults: {
+		    cls: "ametys-fieldset"
+	    },
+	    layoutConfig: {	 
+	    },
+	    items: [
+	            org.ametys.web.tool.page.Add._panelMultiSelectTemplate,
+	    	    org.ametys.web.tool.page.Add._panelSitemapWidgetCmsPage,
+	    	    org.ametys.web.tool.page.Add._panelTextExternalLink,	
+	            org.ametys.web.tool.page.Add._panelSimplePage
+	    ]
+	});
+	
+	return org.ametys.web.tool.page.Add._accordionPanelTemplate;
+}
+
+/* *********************************************** */
+/* Third Panel : select the content or the service */
+/* *********************************************** */
+
+org.ametys.web.tool.page.Add._thirdStep = function ()
+{
+	// Multiselect of all contents
+	org.ametys.web.tool.page.Add._multiSelectContent = new org.ametys.form.MultiSelectField({
+    	typeAhead: true,
+        width: 450,
+        height: 154,
+        lazyRender:true,
+        mode: 'local',
+        minSelections: 1,
+        maxSelections: 1,
+        allowBlank: false,
+        hideLabel: true,
+        value: '1',
+		listeners: {
+        	change: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep3
+        },
+        store: new Ext.data.ArrayStore({
+            id: 0,
+            fields: [
+                'id',
+                'text',
+                'smallIcon',
+                'description',
+                'defaultTitle'
+            ],
+            data: []
+        }),
+        valueField: 'id',
+        displayField: 'text',
+        tpl: "&lt;div class='add-page-contents'&gt;&lt;img src='{context.contextPath}{smallIcon}'/&gt;&lt;span class='add-page-contents-title'&gt;{text}&lt;/span&gt;&lt;span class='add-page-contents-description'&gt;{description}&lt;/span&gt;&lt;div class='x-clear'&gt;&lt;/div&gt;&lt;/div&gt;"
+    });
+	
+	// Panel with the Multiselect contents and hint
+	org.ametys.web.tool.page.Add._panelMultiSelectContent = new Ext.Panel ({
+		id: org.ametys.web.tool.page.Add.panelIdAccordionExpandStep3,
+		title: "&lt;b&gt;<i18n:text i18n:key='PLUGINS_WEB_CONTENT_ADDCONTENTMENU_LABEL'/>&lt;/b&gt;",
+		border: false,
+		layout: 'form',
+		labelWidth :130,
+		labelAlign: 'top',
+		padding: "0 0 0 33px",
+		listeners: {
+	    	beforecollapse: org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep3,
+	    	beforeexpand: org.ametys.web.tool.page.Add._onBeforeExpandPanelStep3,
+	    	expand: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep3
+		},
+		items: [
+                new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_CHOOSECONTENT_TITLE_HELP"/>"}),
+                org.ametys.web.tool.page.Add._multiSelectContent
+        ]
+    });
+	
+	// Multiselect of all services
+	org.ametys.web.tool.page.Add._multiSelectService = new org.ametys.form.MultiSelectField({
+    	typeAhead: true,
+        width: 450,
+        height: 154,
+        lazyRender:true,
+        mode: 'local',
+        minSelections: 1,
+        maxSelections: 1,
+        allowBlank: false,
+        hideLabel: true,
+        value: '1',
+		listeners: {
+        	change: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep3
+        },
+        store: new Ext.data.ArrayStore({
+            id: 0,
+            fields: [
+                'id',
+                'text',
+                'smallIcon',
+                'description',
+                'parametersAction'
+            ],
+            data: []
+        }),
+        valueField: 'id',
+        displayField: 'text',
+        tpl: "&lt;div class='add-page-services'&gt;&lt;img src='{context.contextPath}{smallIcon}'/&gt;&lt;span class='add-page-services-title'&gt;{text}&lt;/span&gt;&lt;span class='add-page-services-description'&gt;{description}&lt;/span&gt;&lt;div class='x-clear'&gt;&lt;/div&gt;&lt;/div&gt;"
+    });
+	
+	// Panel with the Multiselect services and hint
+	org.ametys.web.tool.page.Add._panelMultiSelectService = new Ext.Panel ({
+		title: "&lt;b&gt;<i18n:text i18n:key='PLUGINS_WEB_CONTENT_ADDSERVICEMENU_LABEL'/>&lt;/b&gt;",
+		border: false,
+		layout: 'form',
+		labelWidth :130,
+		labelAlign: 'top',
+		padding: "0 0 0 33px",
+		listeners: {
+	    	beforecollapse: org.ametys.web.tool.page.Add._onBeforeCollapsePanelStep3,
+	    	beforeexpand: org.ametys.web.tool.page.Add._onBeforeExpandPanelStep3,
+	    	expand: org.ametys.web.tool.page.Add._checkValueToContinueOrTerminateStep3
+		},
+		items: [
+                new org.ametys.HtmlContainer ({cls: 'hint', html: "<i18n:text i18n:key="PLUGINS_WEB_CREATEPAGE_CHOOSESERVICE_TITLE_HELP"/>"}),
+                org.ametys.web.tool.page.Add._multiSelectService
+        ]
+    });
+	
+	// Accordion with 2 panel : the multiselect contents Panel and the
+	// multiselect services Panel
+	org.ametys.web.tool.page.Add._accordionPanelContentAndService = new Ext.Panel({
+		id: 'new-page-card-2',
+	
+	    layout:'accordion',
+	    padding: 0,
+	    border: false,
+		cls: 'add-page-content',
+	    defaults: {
+		    cls: "ametys-fieldset"
+	    },
+	    layoutConfig: {	 
+	    },
+	    style: {
+	    	padding: '10px'
+	    },
+	    items: [
+	            org.ametys.web.tool.page.Add._panelMultiSelectContent,
+	            org.ametys.web.tool.page.Add._panelMultiSelectService
+	    ]
+	});
+	
+	return org.ametys.web.tool.page.Add._accordionPanelContentAndService;
+}
+
+/* ***************************************** */
+/* Fourth Panel : select the tag of the page */
+/* ***************************************** */
+
+org.ametys.web.tool.page.Add._fourthStep = function ()
+{	
+	org.ametys.web.tool.page.Add._treeTagPanel = new Ext.Spacer ({});
+
+	org.ametys.web.tool.page.Add._tagTreePanelCard = new Ext.Panel({
+		id: 'new-page-card-3',
+	
+	    layout:'fit',
+	    padding: 0,
+	    border: false,
+		cls: 'add-page-content',
+	    items: [
+	            org.ametys.web.tool.page.Add._treeTagPanel
+	            ]
+	});
+	
+	return org.ametys.web.tool.page.Add._tagTreePanelCard;
+}
+
+/* ******************************************************************************************************************** */
+/* ******************************************************************************************************************** */
\ No newline at end of file
